package org.example;

import java.util.ArrayList;
import java.util.Date;


public class GameInfoResponse
{
    private String name;

    private String page_image;

    private String small_logo;

    private ArrayList<AppClass> apps;

    private Price price;

    private Platforms platforms;

    private Controller controller;

    private ReleaseDate release_date;

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getPage_image()
    {
        return page_image;
    }

    public void setPage_image(String page_image)
    {
        this.page_image = page_image;
    }

    public String getSmall_logo()
    {
        return small_logo;
    }

    public void setSmall_logo(String small_logo)
    {
        this.small_logo = small_logo;
    }

    public ArrayList<AppClass> getApps()
    {
        return apps;
    }

    public void setApps(ArrayList<AppClass> apps)
    {
        this.apps = apps;
    }


    public Price getPrice()
    {
        return price;
    }

    public void setPrice(Price price)
    {
        this.price = price;
    }

    public Platforms getPlatforms()
    {
        return platforms;
    }

    public void setPlatforms(Platforms platforms)
    {
        this.platforms = platforms;
    }

    public Controller getController()
    {
        return controller;
    }

    public void setController(Controller controller)
    {
        this.controller = controller;
    }

    public ReleaseDate getRelease_date()
    {
        return release_date;
    }

    public void setRelease_date(ReleaseDate release_date)
    {
        this.release_date = release_date;
    }

    public static class AppClass
    {
        private int id;
        private String name;

        public AppClass()
        {
        }

        public AppClass(int id, String name)
        {
            this.id = id;
            this.name = name;
        }

        public int getId()
        {
            return id;
        }

        public String getName()
        {
            return name;
        }
    }


    public static class Price
    {
        private String currency;

        private int initial;

        private int finals;

        private int discount_percent;

        private int individual;

        public Price()
        {
        }

        public Price(String currency, int initial, int finals, int discount_percent, int individual)
        {
            this.currency = currency;
            this.initial = initial;
            this.finals = finals;
            this.discount_percent = discount_percent;
            this.individual = individual;
        }

        public String getCurrency()
        {
            return currency;
        }

        public int getInitial()
        {
            return initial;
        }

        public int getFinals()
        {
            return finals;
        }

        public int getDiscount_percent()
        {
            return discount_percent;
        }

        public int getIndividual()
        {
            return individual;
        }
    }


    public static class Platforms
    {
        private boolean windows;

        private boolean mac;

        private boolean linux;

        public Platforms()
        {
        }

        public Platforms(boolean windows, boolean mac, boolean linux)
        {
            this.windows = windows;
            this.mac = mac;
            this.linux = linux;
        }

        public boolean isWindows()
        {
            return windows;
        }

        public boolean isMac()
        {
            return mac;
        }

        public boolean isLinux()
        {
            return linux;
        }
    }

    public static class Controller
    {
        private boolean full_gamepad;


        public Controller()
        {
        }

        public Controller(boolean full_gamepad)
        {
            this.full_gamepad = full_gamepad;
        }

        public boolean isFull_gamepad()
        {
            return full_gamepad;
        }
    }

    public static class ReleaseDate
    {
        private boolean coming_soon;

        private Date date;

        public ReleaseDate()
        {
        }

        public ReleaseDate(boolean coming_soon, Date date)
        {
            this.coming_soon = coming_soon;
            this.date = date;
        }

        public boolean isComing_soon()
        {
            return coming_soon;
        }

        public Date getDate()
        {
            return date;
        }
    }
}


